Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.http.client
Class RequestTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gwt.http.client.RequestException
                  com.google.gwt.http.client.RequestTimeoutException

All Implemented Interfaces:
  java.io.Serializable

    public class RequestTimeoutException

extends RequestException

Thrown to indicate that an HTTP request has timed out.

### Required Module

Modules that use this class should inherit `com.google.gwt.http.HTTP`.

>     <!--                                                                        -->
>     <!-- Copyright 2007 Google Inc.                                             -->
>     <!-- Licensed under the Apache License, Version 2.0 (the "License"); you    -->
>     <!-- may not use this file except in compliance with the License. You may   -->
>     <!-- may obtain a copy of the License at                                    -->
>     <!--                                                                        -->
>     <!-- http://www.apache.org/licenses/LICENSE-2.0                             -->
>     <!--                                                                        -->
>     <!-- Unless required by applicable law or agreed to in writing, software    -->
>     <!-- distributed under the License is distributed on an "AS IS" BASIS,      -->
>     <!-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or        -->
>     <!-- implied. License for the specific language governing permissions and   -->
>     <!-- limitations under the License.                                         -->

>     <module>
>       <!-- other inherited modules, such as com.google.gwt.user.User -->
>       <inherits name="com.google.gwt.http.HTTP"/>
>       <!-- additional module settings -->
>     </module>

See Also:
  Serialized Form

Constructor Summary
`RequestTimeoutException(Request request, int timeoutMillis)` Constructs a timeout exception for the given `Request`.

Method Summary
`Request` | `getRequest()` Returns the `Request` instance which timed out.
`int` | `getTimeoutMillis()` Returns the request timeout value in milliseconds.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestTimeoutException

    public RequestTimeoutException(Request request,
                                   int timeoutMillis)

  Constructs a timeout exception for the given `Request`.

  Parameters:
    `request` - the request which timed out
    `timeoutMillis` - the number of milliseconds which expired

Method Detail

### getRequest

    public Request getRequest()

  Returns the `Request` instance which timed out.

  Returns:
    the `Request` instance which timed out

### getTimeoutMillis

    public int getTimeoutMillis()

  Returns the request timeout value in milliseconds.

  Returns:
    the request timeout value in milliseconds

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD